Loading...
Searching...
No Matches
starpu_cuda.h File Reference
`#include <starpu_config.h>`
`#include <cuda.h>`
`#include <cuda_runtime.h>`
`#include <cuda_runtime_api.h>`
`#include <nvml.h>`

Go to the source code of this file.

## Macros

#define | STARPU_CUBLAS_REPORT_ERROR(status)
#define | STARPU_CUDA_REPORT_ERROR(status)

## Functions

void | starpu_cublas_report_error (const char *func, const char *file, int line, int status)
void | starpu_cuda_report_error (const char *func, const char *file, int line, cudaError_t status)
cudaStream_t | starpu_cuda_get_local_stream (void)
const struct cudaDeviceProp * | starpu_cuda_get_device_properties (unsigned workerid)
int | starpu_cuda_copy_async_sync (void *src_ptr, unsigned src_node, void *dst_ptr, unsigned dst_node, size_t ssize, cudaStream_t stream, enum cudaMemcpyKind kind)
int | starpu_cuda_copy2d_async_sync (void *src_ptr, unsigned src_node, void *dst_ptr, unsigned dst_node, size_t blocksize, size_t numblocks, size_t ld_src, size_t ld_dst, cudaStream_t stream, enum cudaMemcpyKind kind)
int | starpu_cuda_copy3d_async_sync (void *src_ptr, unsigned src_node, void *dst_ptr, unsigned dst_node, size_t blocksize, size_t numblocks_1, size_t ld1_src, size_t ld1_dst, size_t numblocks_2, size_t ld2_src, size_t ld2_dst, cudaStream_t stream, enum cudaMemcpyKind kind)
void | starpu_cuda_set_device (unsigned devid)
nvmlDevice_t | starpu_cuda_get_nvmldev (unsigned devid)